Holger's Java API

## com.antelmann
Class ExpiredLicenseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  com.antelmann.LicensingException
                      com.antelmann.ExpiredLicenseException

All Implemented Interfaces:
  Serializable

    public class ExpiredLicenseException

extends LicensingException

thrown to indicate that the given license is expired and/or has no usage left

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`ExpiredLicenseException(String msg, License license)`

Method Summary

Methods inherited from class com.antelmann.LicensingException
`getLicense, getLicensee, setLicense, setLicensee`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpiredLicenseException

    public ExpiredLicenseException(String msg,
                                   License license)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads